Package org.eclipse.graphiti.features

# Interface IResizeShapeFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`, `IResizeFeature`, `IResizeShape`

All Known Implementing Classes:
  `DefaultResizeShapeFeature`, `ResizeShapeFeatureForPattern`

public interface IResizeShapeFeature extends IResizeShape, IResizeFeature
The Interface IResizeShapeFeature. Resizing shapes means to change their coordinates or/and their parent.

## Method Summary

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Methods inherited from interface org.eclipse.graphiti.features.IResizeFeature

`getResizeConfiguration`

### Methods inherited from interface org.eclipse.graphiti.func.IResizeShape

`canResizeShape, resizeShape`